ALP_ClassDefLocMap (API of loworks store)

# autoloadplus

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

autoloadplus.ALP_ClassDefLocMap
/classes/ClassDefLocMap.class.php at line 10

# Class ALP_ClassDefLocMap

    ALP_ClassDefLocMap

public class ALP_ClassDefLocMap

Author:
  keiji /

Field Summary
final str | LINE_FEED
final str | MAPPING_INFORMATION_DELIMITER
final str | REAL_PATH_PATTERN
private static mixed | $_cacheClassDefLocMap
private mixed | $_classDefLocMap

Constructor Summary
ALP_ClassDefLocMap(mixed newFlag)

Method Summary
private static void | _getMappingLocation()
void | addClassDefLoc(mixed className, mixed scriptLocation)
void | getClassDefLoc(mixed className)
static void | getClassDefinitionLocation(mixed className, mixed refleshMapInstance)
void | getDefLocMapArray()
static void | getRelativePath(mixed targetPath, mixed baseFolderPath)
void | loadMapping()
void | merge(mixed targetDefLocMap)
void | saveMapping(mixed mappingLocation)

## Field Detail

/classes/ClassDefLocMap.class.php at line 13

### LINE_FEED

`public final str LINE_FEED = "\n"`

/classes/ClassDefLocMap.class.php at line 12

### MAPPING_INFORMATION_DELIMITER

`public final str MAPPING_INFORMATION_DELIMITER = '#'`

/classes/ClassDefLocMap.class.php at line 11

### REAL_PATH_PATTERN

`public final str REAL_PATH_PATTERN = '/(^[a-zA-Z]:)|(^\/)/'`

/classes/ClassDefLocMap.class.php at line 16

### _cacheClassDefLocMap

`private static mixed $_cacheClassDefLocMap = null`

/classes/ClassDefLocMap.class.php at line 15

### _classDefLocMap

`private mixed $_classDefLocMap = array()`

## Constructor Detail

/classes/ClassDefLocMap.class.php at line 22

### ALP_ClassDefLocMap

`public ALP_ClassDefLocMap(mixed newFlag)`

## Method Detail

/classes/ClassDefLocMap.class.php at line 18

### _getMappingLocation

`private static void _getMappingLocation()`

/classes/ClassDefLocMap.class.php at line 39

### addClassDefLoc

`public void addClassDefLoc(mixed className, mixed scriptLocation)`

/classes/ClassDefLocMap.class.php at line 42

### getClassDefLoc

`public void getClassDefLoc(mixed className)`

/classes/ClassDefLocMap.class.php at line 32

### getClassDefinitionLocation

`public static void getClassDefinitionLocation(mixed className, mixed refleshMapInstance)`

/classes/ClassDefLocMap.class.php at line 28

### getDefLocMapArray

`public void getDefLocMapArray()`

/classes/ClassDefLocMap.class.php at line 71

### getRelativePath

`public static void getRelativePath(mixed targetPath, mixed baseFolderPath)`

/classes/ClassDefLocMap.class.php at line 50

### loadMapping

`public void loadMapping()`

/classes/ClassDefLocMap.class.php at line 46

### merge

`public void merge(mixed targetDefLocMap)`

/classes/ClassDefLocMap.class.php at line 62

### saveMapping

`public void saveMapping(mixed mappingLocation)`

# autoloadplus

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr